| 400 |
unsupported-content-type |
The request has unsupported content type. |
| 400 |
bad-request |
The request is malformed. |
| 400 |
validation-disallowed-key |
A disallowed query or body parameter is present in the request. See error source. |
| 400 |
validation-invalid-value |
An invalid value is sent in the request. See error source. |
| 400 |
validation-invalid-params |
An invalid set of body or query parameters is sent in the request. |
| 400 |
validation-missing-key |
A required body or query parameter is missing in the request. See error source. |
| 401 |
auth-invalid-access-token |
The access token in the request is invalid or expired. |
| 401 |
auth-missing-access-token |
There is no access token in the request. |
| 403 |
forbidden |
The authenticated user does not have permission to access the given resource. |
| 404 |
not-found |
Returned by read endpoints when the requested resource is not found. Note that queries that return multiple resources DO NOT return a 404 error when no resource matches the query parameters. Instead, they return response with empty data array. |
| 409 |
conflict |
The command can not be completed. This is commonly caused by a missing resource, which is required by the command, a resource in an unexpected state, logic error in the request, etc. |
| 409 |
image-invalid |
The request specified an invalid image for the operation. For instance, image is missing or already in use. |
| 400 |
image-invalid-content |
The uploaded image is in an unsupported format. |
| 413 |
request-larger-than-content-length |
The request body is larger than specified in request's Content-length header. |
| 413 |
request-upload-over-limit |
The uploaded file is too large. |
| 409 |
email-taken |
The provided email address is already in use. |
| 409 |
email-already-verified |
The email address of the user is already verified. |
| 409 |
email-unverified |
The user's email has not been verified and the command requires a verified email address. |
| 409 |
email-not-found |
The specified email address could not be found in the database. |
| 409 |
listing-not-found |
The command could not be completed, because the specified listing could not be found. |
| 409 |
listing-invalid-state |
The command could not be completed, because the listing is not in one of the allowed states for the operation. |
| 409 |
stripe-account-not-found |
The provider has not set up a Stripe account and can not accept payments. |
| 409 |
stripe-missing-api-key |
Stripe API key is not set but is needed to complete the operation. |
| 409 |
stripe-invalid-payment-intent-status |
Stripe PaymentIntent has an invalid status. |
| 409 |
stripe-customer-not-found |
No Stripe customer is found for the authenticated user. |
| 409 |
stripe-multiple-payment-methods-not-supported |
User's Stripe customer already has a payment method attached to it. |
| 409 |
stripe-payment-method-type-not-supported |
The provided payment method is not supported. Currently only card payment methods are allowed. |
| 409 |
user-missing-stripe-account |
The provider has not set up a Stripe account and can not accept payments. |
| 409 |
transaction-locked |
The transaction is currently locked by another operation. Try again, but consider that it's likely that the transaction has already transitioned to a different state. |
| 402 |
transaction-payment-failed |
Payment information was invalid or the payment was rejected by Stripe. Additional information can be found in the error meta.stripeMessage, meta.stripeCode and meta.stripeDeclineCode. See also Stripe errors documentation. |
| 409 |
transaction-not-found |
The command could not be completed, because the specified transaction could not be found. |
| 409 |
transaction-listing-not-found |
The command could not be completed, because the specified listing could not be found. |
| 400 |
transaction-booking-end-is-in-the-past |
The given booking end time is in the past. |
| 400 |
transaction-booking-start-before-end |
The booking start time must be before the booking end time. |
| 409 |
transaction-booking-state-not-pending |
The booking state is not pending (i.e. booking is created). Check your transaction process definition. |
| 409 |
transaction-booking-state-not-accepted |
The booking state is not accepted. Check your transaction process definition. |
| 409 |
transaction-invalid-transition |
The given transition is not defined in the process or it is not one of the possible next transitions. |
| 409 |
transaction-missing-listing-price |
The listing does not contain pricing information and can not be user with this transaction process. |
| 409 |
transaction-missing-stripe-account |
The provider does not have Stripe account and can not accept payments. |
| 409 |
transaction-same-author-and-customer |
The customer and listing author are the same user. You can not book your own listings. |
| 409 |
transaction-stripe-account-disabled-charges |
The provider's Stripe account can not accept payments at the moment. |
| 409 |
transaction-stripe-account-disabled-payouts |
The provider's Stripe account can not accept payments at the moment. |
| 409 |
transaction-charge-zero-payin |
Cannot create change when the transaction payin total would be zero. |
| 409 |
transaction-charge-zero-payout |
Cannot create charge when the payout total would be zero. |
| 409 |
transaction-zero-payin |
Cannot create payment when transaction payin total would be zero. |
| 409 |
transaction-unknown-alias |
The given processAlias cannot be resolved to a process name and version |